# Method: conversionsources.delete

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/delete#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/delete#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/conversionsources/delete#try-it)

Archives an existing conversion source. It will be recoverable for 30 days. This archiving behavior is not typical in the Content API and unique to this service.

### HTTP request

`DELETE https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/conversionsources/{conversionSourceId}`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account that owns the new conversion source. |
| `conversionSourceId` | `string` Required. The ID of the conversion source to be deleted. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).